GET private-locations
Retrieves a list of private locations for the current customer.
Request example
curl --request GET "https://api-asm1.apica.io/v3/private-locations?auth_ticket=C471ADC4-19B4-4219-BBF4-671A97EC653E"
Response body model example and description
[
{
"access_group": "ac1f2eb9-e39f-4b32-8746-a1b33ff311db",
"private_locations": [
{
"private_location_id": "d681abc0-99a9-440b-b5bd-632534147781",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "432d8633-1a02-433e-a310-ab0cb097b5a7"
},
{
"private_location_id": "1254a101-c8ac-4e6f-9b03-d4c4b17355e0",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "a2003ee7-8841-4625-af2d-d83fc767e62e"
},
{
"private_location_id": "a5cb8e9c-1a57-47bc-b0c3-8649f53b03aa",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "5ae4f2c4-19ca-4019-b2bb-1e696b213ac0"
}
]
},
{
"access_group": "9b019db8-e4ab-45b5-8bdf-fb0f416cbeb3",
"private_locations": [
{
"private_location_id": "1254a101-c8ac-4e6f-9b03-d4c4b17355e0",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "a2003ee7-8841-4625-af2d-d83fc767e62e"
},
{
"private_location_id": "a5cb8e9c-1a57-47bc-b0c3-8649f53b03aa",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "5ae4f2c4-19ca-4019-b2bb-1e696b213ac0"
},
{
"private_location_id": "a5cb8e9c-1a57-47bc-b0c3-8649f53b03aa",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "5ae4f2c4-19ca-4019-b2bb-1e696b213ac0"
}
]
},
{
"access_group": "4d8a30c2-35a1-4233-808a-d2b259cf300d",
"private_locations": [
{
"private_location_id": "1254a101-c8ac-4e6f-9b03-d4c4b17355e0",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "a2003ee7-8841-4625-af2d-d83fc767e62e"
},
{
"private_location_id": "a5cb8e9c-1a57-47bc-b0c3-8649f53b03aa",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "5ae4f2c4-19ca-4019-b2bb-1e696b213ac0"
},
{
"private_location_id": "1254a101-c8ac-4e6f-9b03-d4c4b17355e0",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "a2003ee7-8841-4625-af2d-d83fc767e62e"
}
]
}
]
| Name | Type | Description |
|---|---|---|
| AccessGroup | Guid |
Unique identifier for the access group associated with the private locations. |
| PrivateLocations | Object |
A list of private location details. |
| PrivateLocationId | Guid |
Unique identifier for the private location. |
| Enabled | Boolean |
Indicates whether the private location is enabled. |
| Geoloc | String |
Geographical location of the private location. |
| CustomerGuid | Guid |
Customer identifier associated with the private location. |